> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraws member consents



## OpenAPI

````yaml openapi/consent-v1.json POST /v1/UserConsents/withdraw/bulk
openapi: 3.0.4
info:
  title: Consent API
  version: v1
servers:
  - url: https://{host}/consent
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v1/UserConsents/withdraw/bulk:
    post:
      tags:
        - Service2Service
      summary: Withdraws member consents
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ConsentApi.Dto.Service2Service.WithdrawBulkUserConsentDto
      responses:
        '200':
          description: Withdraw succeeded
        '204':
          description: No Content
        '400':
          description: Withdraw failed
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    ConsentApi.Dto.Service2Service.WithdrawBulkUserConsentDto:
      required:
        - consentIds
        - userId
      type: object
      properties:
        consentIds:
          type: array
          items:
            type: string
          description: Consent identifiers
        userId:
          minLength: 1
          type: string
          description: User identifier
        revokedBy:
          type: string
          description: >-
            When withdraw by user - user ID

            When withdraw by customer support worker - ID of customer support
            worker
          nullable: true
        revocationSource:
          type: string
          description: Source of media used for revocation consent
          nullable: true
          example: |2-

                        WEB
                        
        timestamp:
          type: string
          description: |-
            Defines time when consent was revoked
            Used for data migration needs
          format: date-time
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
            nullable: true
          description: Metadata for user consent
          nullable: true
      additionalProperties: false
      description: DTO, contains data for consent withdraw operations
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````